HTTP: tasks
Default control-plane operations. Complete OpenAPI schema · Authentication and tenancy.
GET /api/tasks
Section titled “GET /api/tasks”List Tasks
Operation ID: list_tasks_api_tasks_get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
q |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Q"} |
status |
query | False | {"anyOf":[{"$ref":"#/components/schemas/TaskStatus"},{"type":"null"}],"title":"Status"} |
type |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Type"} |
session_id |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Session Id"} |
parent_task_id |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Task Id"} |
assigned_agent_name |
query | False | {"anyOf":[{"type":"string"},{"type":"null"}],"title":"Assigned Agent Name"} |
order_by |
query | False | {"$ref":"#/components/schemas/TaskOrder","default":"updated_at_desc"} |
limit |
query | False | {"type":"integer","default":50,"title":"Limit"} |
offset |
query | False | {"type":"integer","default":0,"title":"Offset"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ApiTaskListItem" }, "title": "Response List Tasks Api Tasks Get" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskListItem, HTTPValidationError.
GET /api/tasks/{task_id}/schedule/events
Section titled “GET /api/tasks/{task_id}/schedule/events”List Task Schedule Events
Operation ID: list_task_schedule_events_api_tasks__task_id__schedule_events_get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
task_id |
path | True | {"type":"string","minLength":1,"title":"Task Id"} |
after_sequence |
query | False | {"type":"integer","maximum":9007199254740991,"minimum":0,"default":0,"title":"After Sequence"} |
limit |
query | False | {"type":"integer","maximum":1000,"minimum":1,"default":100,"title":"Limit"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ApiTaskScheduleEvent" }, "title": "Response List Task Schedule Events Api Tasks Task Id Schedule Events Get" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskScheduleEvent, HTTPValidationError.
POST /api/tasks/schedule/reschedule
Section titled “POST /api/tasks/schedule/reschedule”Reschedule Task
Operation ID: reschedule_task_api_tasks_schedule_reschedule_post.
Request body
Section titled “Request body”{ "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TaskRescheduleRequest" } } }, "required": true}Model declarations: TaskRescheduleRequest.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiTaskScheduleReceipt" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskScheduleReceipt, HTTPValidationError.
POST /api/tasks/schedule/cancel
Section titled “POST /api/tasks/schedule/cancel”Cancel Scheduled Task
Operation ID: cancel_scheduled_task_api_tasks_schedule_cancel_post.
Request body
Section titled “Request body”{ "content": { "application/json": { "schema": { "$ref": "#/components/schemas/TaskScheduleCancelRequest" } } }, "required": true}Model declarations: TaskScheduleCancelRequest.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiTaskScheduleReceipt" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskScheduleReceipt, HTTPValidationError.
GET /api/tasks/{task_id}
Section titled “GET /api/tasks/{task_id}”Get Task
Operation ID: get_task_api_tasks__task_id__get.
| Parameter | Location | Required | Schema |
|---|---|---|---|
task_id |
path | True | {"type":"string","minLength":1,"title":"Task Id"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiTaskDetail" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskDetail, HTTPValidationError.
POST /api/tasks/{task_id}/pause
Section titled “POST /api/tasks/{task_id}/pause”Pause Task
Operation ID: pause_task_api_tasks__task_id__pause_post.
| Parameter | Location | Required | Schema |
|---|---|---|---|
task_id |
path | True | {"type":"string","minLength":1,"title":"Task Id"} |
Request body
Section titled “Request body”{ "content": { "application/json": { "schema": { "anyOf": [ { "$ref": "#/components/schemas/TaskHoldBody" }, { "type": "null" } ], "title": "Body" } } }}Model declarations: TaskHoldBody.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiTaskDetail" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskDetail, HTTPValidationError.
POST /api/tasks/{task_id}/block
Section titled “POST /api/tasks/{task_id}/block”Block Task
Operation ID: block_task_api_tasks__task_id__block_post.
| Parameter | Location | Required | Schema |
|---|---|---|---|
task_id |
path | True | {"type":"string","minLength":1,"title":"Task Id"} |
Request body
Section titled “Request body”{ "content": { "application/json": { "schema": { "anyOf": [ { "$ref": "#/components/schemas/TaskHoldBody" }, { "type": "null" } ], "title": "Body" } } }}Model declarations: TaskHoldBody.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiTaskDetail" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskDetail, HTTPValidationError.
POST /api/tasks/{task_id}/needs-attention
Section titled “POST /api/tasks/{task_id}/needs-attention”Mark Task Needs Attention
Operation ID: mark_task_needs_attention_api_tasks__task_id__needs_attention_post.
| Parameter | Location | Required | Schema |
|---|---|---|---|
task_id |
path | True | {"type":"string","minLength":1,"title":"Task Id"} |
Request body
Section titled “Request body”{ "content": { "application/json": { "schema": { "anyOf": [ { "$ref": "#/components/schemas/TaskHoldBody" }, { "type": "null" } ], "title": "Body" } } }}Model declarations: TaskHoldBody.
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiTaskDetail" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskDetail, HTTPValidationError.
POST /api/tasks/{task_id}/resume
Section titled “POST /api/tasks/{task_id}/resume”Resume Task
Operation ID: resume_task_api_tasks__task_id__resume_post.
| Parameter | Location | Required | Schema |
|---|---|---|---|
task_id |
path | True | {"type":"string","minLength":1,"title":"Task Id"} |
Responses
Section titled “Responses”{ "200": { "description": "Successful Response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ApiTaskDetail" } } } }, "422": { "description": "Validation Error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/HTTPValidationError" } } } }}Model declarations: ApiTaskDetail, HTTPValidationError.